Package icyllis.arc3d.granite

# Class StaticBufferManager

java.lang.Object
icyllis.arc3d.granite.StaticBufferManager

public class StaticBufferManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RESULT_FAILURE`
  `static final int`
  `RESULT_NO_WORK`
  `static final int`
  `RESULT_SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticBufferManager(ResourceProvider resourceProvider, Caps caps)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `flush(QueueManager queueManager, SharedResourceCache sharedResourceCache)`
  `long`
  `getIndexWriter(long requiredBytes, BufferViewInfo outInfo)`
  `long`
  `getVertexWriter(long requiredBytes, BufferViewInfo outInfo)`
  The passed in `BufferViewInfo` is updated when finalize() is later called, to point to the packed, GPU-private buffer at the appropriate offset.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RESULT_SUCCESS

    public static final int RESULT_SUCCESS
    See Also:
      - Constant Field Values

  - ### RESULT_FAILURE

    public static final int RESULT_FAILURE
    See Also:
      - Constant Field Values

  - ### RESULT_NO_WORK

    public static final int RESULT_NO_WORK
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StaticBufferManager

    public StaticBufferManager(ResourceProvider resourceProvider, Caps caps)

- ## Method Details

  - ### getVertexWriter

    public long getVertexWriter(long requiredBytes, BufferViewInfo outInfo)
    The passed in `BufferViewInfo` is updated when finalize() is later called, to point to the packed, GPU-private buffer at the appropriate offset. The data written to the returned Writer is copied to the private buffer at that offset. 'binding' must live until finalize() returns.
    Returns:
      write-combining buffer address, or NULL

  - ### getIndexWriter

    public long getIndexWriter(long requiredBytes, BufferViewInfo outInfo)

  - ### flush

    public int flush(QueueManager queueManager, SharedResourceCache sharedResourceCache)